Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.OFDPage Class Reference
Inheritance diagram for FoxitPDFSDKPython2.OFDPage:

## Public Member Functions
def | OFDPage ()
| Constructor. More...
def | GetDisplayMatrix (left, top, width, height, rotate)
| Get display matrix. More...
def | GetHeight ()
| Get page height (unit is 1/72 inch). More...
def | GetWidth ()
| Get page width (unit is 1/72 inch). More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | Release ()
| Release current OFD page object. More...

## Detailed Description

This class is used to get information of an OFD page. Please ensure FoxitPDFSDKPython2.Library.InitializeOFDEngine has been called successfully before using this class.

See also
  FoxitPDFSDKPython2.Library

## Constructor & Destructor Documentation

## ◆ OFDPage()

def FoxitPDFSDKPython2.OFDPage.OFDPage | ( |  | ) |

Constructor.

Constructor, with another OFD page object.

## Member Function Documentation

## ◆ GetDisplayMatrix()

def FoxitPDFSDKPython2.OFDPage.GetDisplayMatrix | ( |  | left,
|  |  | top,
|  |  | width,
|  |  | height,
|  |  | rotate
| ) |  |

Get display matrix.

This function is used to get a matrix for displaying the page.

Parameters

  [in] | left | Left position of the display area.
  [in] | top | Top position of the display area.
  [in] | width | Width of the display area.
  [in] | height | Height of the display area.
  [in] | rotate | Rotation of the display area. Please refer to values starting from FoxitPDFSDKPython2.e_Rotation0 and this should be one of these values.

Returns
  A matrix for displaying the page.

## ◆ GetHeight()

def FoxitPDFSDKPython2.OFDPage.GetHeight | ( |  | ) |

Get page height (unit is 1/72 inch).

Returns
  Page height.

## ◆ GetWidth()

def FoxitPDFSDKPython2.OFDPage.GetWidth | ( |  | ) |

Get page width (unit is 1/72 inch).

Returns
  Page width.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.OFDPage.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Release()

def FoxitPDFSDKPython2.OFDPage.Release | ( |  | ) |

Release current OFD page object.

Please call this function before FoxitPDFSDKPython2.Library.ReleaseOFDEngine to release current OFD page object.

Returns
  None.